package ru.neroduckale.sharik;

import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.dao.DaoManager;
import com.j256.ormlite.jdbc.JdbcPooledConnectionSource;
import org.bukkit.plugin.java.JavaPlugin;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import ru.neroduckale.sharik.dao.balanceDao;
import ru.neroduckale.sharik.dao.balanceDaoImpl;

import java.sql.SQLException;

public final class Main extends JavaPlugin {
    private JdbcPooledConnectionSource connectionSource;
    private Logger logger = LoggerFactory.getLogger("Balance");
    @Override
    public void onEnable() {
        try {
            start();
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
    @Override
    public void onDisable() {
        try {
            connectionSource.close();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public void start() throws SQLException {
        connectionSource = new JdbcPooledConnectionSource("jdbc:mysql://neroduck.ru:3306/balance", "pluginUser", "14881488");
        getServer().getPluginManager().registerEvents(new PlayerJoinListener(), this);
        balanceDaoImpl libraryDao = DaoManager.createDao(connectionSource, Balance.class);
        Balance balance = new Balance();
        balance.setNickname("nerod");
        balance.setBalance(10);
        libraryDao.create(balance);
        Balance nero = libraryDao.findByName("nero");
        logger.error(String.valueOf(nero.getBalance()));
    }
}
